package com.qmth.paper.library.business.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;

import java.io.Serializable;

import com.qmth.paper.library.common.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 图片库
 * </p>
 *
 * @author xf
 * @since 2024-03-12
 */
@TableName("paper_library_other")
@ApiModel(value = "PaperLibraryOther对象", description = "其它文件库")
public class PaperLibraryOther extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "扫描任务Id")
    private Long paperScanTaskId;

    @ApiModelProperty(value = "存储路径")
    private String path;

    @ApiModelProperty(value = "图片序号")
    private Integer sequence;

    @ApiModelProperty(value = "文件类型ID")
    private Long fileTypeId;

    public Long getPaperScanTaskId() {
        return paperScanTaskId;
    }

    public void setPaperScanTaskId(Long paperScanTaskId) {
        this.paperScanTaskId = paperScanTaskId;
    }

    public String getPath() {
        return path;
    }

    public void setPath(String path) {
        this.path = path;
    }

    public Integer getSequence() {
        return sequence;
    }

    public void setSequence(Integer sequence) {
        this.sequence = sequence;
    }

    public Long getFileTypeId() {
        return fileTypeId;
    }

    public void setFileTypeId(Long fileTypeId) {
        this.fileTypeId = fileTypeId;
    }

    @Override
    public String toString() {
        return "PaperLibraryOther{" +
                ", paperScanTaskId=" + paperScanTaskId +
                ", path=" + path +
                ", sequence=" + sequence +
                "}";
    }
}
